<?php

namespace App\Http\Controllers;

use App\Models\{
    Demeure,
    Bien
};
use Illuminate\Http\Request;

class DemeureController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, $bienId)
    {
        $demeur = Demeure::create($request->all());
        Bien::where('id',$bienId)->update(['demeure_id' => $demeur->id]);
        $bienId = Bien::find($bienId);

        return redirect()->route('flux.create',['bienId' => $bienId]);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Demeure  $demeure
     * @return \Illuminate\Http\Response
     */
    public function show(Demeure $demeure)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Demeure  $demeure
     * @return \Illuminate\Http\Response
     */
    public function edit(Demeure $demeure)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Demeure  $demeure
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Demeure $demeure)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Demeure  $demeure
     * @return \Illuminate\Http\Response
     */
    public function destroy(Demeure $demeure)
    {
        //
    }
}
